/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_EQUIPAPROD                                               */
/* Tabela : EQUIPAPROD                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2006 - Arnaldo Coutinho Brito Junior                                 */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_EQUIPAPROD
BEFORE INSERT OR UPDATE OR DELETE
ON EQUIPAPROD FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUEPRO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.SGEQUIPPRO  ,0) <> NVL(:NEW.SGEQUIPPRO  ,0)) OR
         (NVL(:OLD.NMEQUIPPRO  ,0) <> NVL(:NEW.NMEQUIPPRO  ,0)) OR
         (NVL(:OLD.IDTPEQUIPPRO,0) <> NVL(:NEW.IDTPEQUIPPRO,0)) OR
         (NVL(:OLD.CDSETOR     ,0) <> NVL(:NEW.CDSETOR     ,0)) OR
         (NVL(:OLD.CDFILIAL    ,0) <> NVL(:NEW.CDFILIAL    ,0)) OR
         (NVL(:OLD.CDSALA      ,0) <> NVL(:NEW.CDSALA      ,0)) OR
         (NVL(:OLD.CDFILIPROP  ,0) <> NVL(:NEW.CDFILIPROP  ,0)) OR
         (NVL(:OLD.CDFORNECED  ,0) <> NVL(:NEW.CDFORNECED  ,0)) OR
         (NVL(:OLD.CDCLIENTE   ,0) <> NVL(:NEW.CDCLIENTE   ,0)) OR
         (NVL(:OLD.CDTIPOEQUI  ,0) <> NVL(:NEW.CDTIPOEQUI  ,0)) OR
         (NVL(:OLD.CDFABRIC    ,0) <> NVL(:NEW.CDFABRIC    ,0)) OR
         (NVL(:OLD.CDMODELO    ,0) <> NVL(:NEW.CDMODELO    ,0)) OR
         (NVL(:OLD.CDFITABEPREC,0) <> NVL(:NEW.CDFITABEPREC,0)) OR
         (NVL(:OLD.CDTABEPREC  ,0) <> NVL(:NEW.CDTABEPREC  ,0)) OR
         (NVL(:OLD.CDEXEQUIPPRO,0) <> NVL(:NEW.CDEXEQUIPPRO,0)) OR
         (NVL(:OLD.TXOBEQUIPPRO,0) <> NVL(:NEW.TXOBEQUIPPRO,0)) OR
         (NVL(:OLD.NRPATRIMONEP,0) <> NVL(:NEW.NRPATRIMONEP,0)) OR
         (NVL(:OLD.NRSERIEEP   ,0) <> NVL(:NEW.NRSERIEEP   ,0)) OR
         (NVL(:OLD.CDFILIMOVI  ,0) <> NVL(:NEW.CDFILIMOVI  ,0)) OR
         (NVL(:OLD.CDALMOXARIFE,0) <> NVL(:NEW.CDALMOXARIFE,0)) OR
         (NVL(:OLD.CDLOCALESTOQ,0) <> NVL(:NEW.CDLOCALESTOQ,0)) OR
         (NVL(:OLD.IDSTUTPRODEP,0) <> NVL(:NEW.IDSTUTPRODEP,0)) OR
         (NVL(:OLD.VRCUSTOEQUIP,0) <> NVL(:NEW.VRCUSTOEQUIP,0)) OR
         (NVL(:OLD.CDMOEDEIRO  ,0) <> NVL(:NEW.CDMOEDEIRO  ,0)) OR
         (NVL(:OLD.VRTEMPEQUIP ,0) <> NVL(:NEW.VRTEMPEQUIP ,0)) OR
         (NVL(:OLD.IDTPLEIVENDA,0) <> NVL(:NEW.IDTPLEIVENDA,0)) OR
         (NVL(:OLD.IDTPPGTOEQUI,0) <> NVL(:NEW.IDTPPGTOEQUI,0)) OR
         (NVL(:OLD.VRFATMINEQUI,0) <> NVL(:NEW.VRFATMINEQUI,0)) OR
         (NVL(:OLD.SGUNIDCONSEP,0) <> NVL(:NEW.SGUNIDCONSEP,0)) OR
         (NVL(:OLD.CDEQUIPPAI  ,0) <> NVL(:NEW.CDEQUIPPAI  ,0)) OR
         (NVL(:OLD.CDPRODUTO   ,0) <> NVL(:NEW.CDPRODUTO   ,0)) OR
         (NVL(:OLD.QTHRUTEQUIPA,0) <> NVL(:NEW.QTHRUTEQUIPA,0)) OR
         (NVL(:OLD.QTCONSEQUIPA,0) <> NVL(:NEW.QTCONSEQUIPA,0)) OR
         (NVL(:OLD.QTTEMPUTILEP,0) <> NVL(:NEW.QTTEMPUTILEP,0)) OR
         (NVL(:OLD.CDHABILIDADE,0) <> NVL(:NEW.CDHABILIDADE,0)) OR 
         (NVL(:OLD.IDSTEQUIPPRO,0) <> NVL(:NEW.IDSTEQUIPPRO,0)) OR 
         (NVL(:OLD.CDGRUPOEQUIPA,0) <> NVL(:NEW.CDGRUPOEQUIPA,0)) OR
         (NVL(:OLD.IDUNTMPUTIEP,0) <> NVL(:NEW.IDUNTMPUTIEP,0)) THEN
         :NEW.DTULTATUEPRO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('EQUIPAPROD', '', 'CDEQUIPPRO='||:OLD.CDEQUIPPRO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE EQUIPAPROD MODIFY DTULTATUEPRO DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_EQUIPAPROD','5.05.016'); END;
/

